﻿init python:
    class inventory:
        def __init__(self, cash = 0, bags = [bag("Bag", [], 40)]):
            self.cash = cash
            self.bags = bags
            self.uniqueID = []

        def gotcash(self, a, u):
            if u and u in self.uniqueID:
                pass
            else:
                self.cash += a

        def paidcash(self, a):
            self.cash -= a

        def got(self, x, q, u = None): # x = item, q = Quantity, u = Unique ID
            if u:
                if u in self.uniqueID:
                    return False
                else:
                    self.uniqueID.append(u)

            if len(self.bags):
                self.bags[0].add(x, q)
                msg.msg("{} have got {} of {}".format(self.name, q, x.name))

        def drop(self, x, q):
            if len(self.bags):
                self.bags[0].rem(x, q)
                msg.msg("{} have dropped {} of {}".format(self.name, q, x.name))


screen inventory(p = player):
    modal True
    style_prefix "shop"
    add "#0009"
    frame:
        padding 40,40
        vbox:
            if len(p.bags[0].items):
                hbox:
                    for i in p.bags[0].items:
                        button:
                            xysize 256,256
                            tooltip i.item
                            vbox:
                                add i.item.icon
                                text i.item.name
                                text str(i.quantity)
            else:
                text "You have no items"
            button:
                text "Close"
                action ToggleScreen("inventory")




