﻿init python:
    class shop_handler:
        def __init__(self, name, items = []):
            self.name = name
            self.items = items

        def buy(self, ii, buyer):
            if self.items[ii][1] < 1:
                msg.msg("The shop is out of {}".format(self.items[ii][0].name))
                return
            if buyer.cash >= self.items[ii][0].price:
                buyer.cash -= self.items[ii][0].price
                buyer.bags[0].add(self.items[ii][0], 1)
                self.items[ii][1] -= 1
                msg.msg("You have bought {}".format(self.items[ii][0].name))
            else:
                msg.msg("You don't have enough money for {}".format(self.items[ii][0].name))

        def stock(self, item, q, min = None, max = None):
            for n,i in enumerate(self.items):
                if i[0] == item:
                    self.items[n][1] += q
                    if min and self.items[n][1] < min:
                        self.items[n][1] = min
                    if max and self.items[n][1] > max:
                        self.items[n][1] = max
            else:
                if min and q < min:
                    q = min
                if max and q > max:
                    q = max
                self.items.append([item, q])


# add quantity to items, so it will run out.
# the shop restock time are different, everyday, once a week...
screen shop(s, p = player):
    modal True
    style_prefix "shop"
    default current = None
    add "#0009"
    frame:
        background None xalign 1.0 xsize 1200
        hbox:
            box_wrap True spacing 10 box_wrap_spacing 10
            for n,i in enumerate(s.items):
                button:
                    xysize 256,256
                    tooltip i[0]
                    vbox:
                        add i[0].icon
                        text i[0].name
                        text "Price: {}".format(i[0].price)
                        text "{} left".format(i[1])
                    action Function(s.buy, n, p)

    frame:
        xsize 800 xalign 0.0 background None padding 60,60
        hbox:
            yalign .1 box_wrap True spacing 10 box_wrap_spacing 10
            for i in p.bags[0].items:
                button:
                    xysize 256,256
                    tooltip i.item
                    vbox:
                        add i.item.icon
                        text i.item.name
                        text str(i.quantity)
                    # action Function(p.use, i)

    button:
        yalign .95
        text "Done"
        action Hide("shop"), Return()


