default cafe_cafe = pnco(
    "Cafe",
    "bg/cafe/cafe.png",
    (707, 298),
    [Hide("pnc"), Jump("cafe_cafe_shop")]
)

default cafe_map = pncs(
    "Cafe",
    [
        cafe_cafe,
    ]
)

label cafe: # Events on arrival
    show bg cafe with dissolve
    if calendar.time_of_day() in [2, 3]:
        if not nana_ppl.has_flag("first"):
            show nana normal at center
            nan "Hey, Daikichi right?"
            ken "It's [ken.name]!"
            nan "Listen Takishi, I'll tell you a secret if you buy me a large a beer in there."
            ken "They don't serve alcohol, we're not old enough and my name is [ken.name]."
            nan "Alright, alright, a kiss?"
            ken "Huh?"
            han "You... Girl..."
            nan "Tsk... She found me... Run..."
            hide nana with moveoutleft
            show hana normal at center with moveinright
            han "What did she told you."
            ken "Nothing of value."
            han "Wait!{w=.4}{nw}" with hpunch
            hide hana with moveoutleft
            ken "What the hell?"
            $ nana_ppl.flag("first")
        else:
            if renpy.random.randint(1,2) == 1: # 50/50 chance
                show nana normal at center
                nan "You Ichigo, how about that diner you promised me?"
                ken "I don't have money for that."
                nan "Go work or something."
                ken "Well, thats not an option yet."
                nan "Alright, take this?"
                $ player.got(test_item, 1) # Giving the player one test item
                ken "What is it?"
                nan "Well..."
                han "You... Girl..."
                nan "Not again..."
                hide nana with moveoutleft
                show hana normal at center with moveinright
                hide hana with moveoutleft
            else:
                show nana normal at center with moveinright
                hide nana with moveoutleft
                show hana normal at center with moveinright
                hide hana with moveoutleft


label cafe_loop:
    show screen pnc(player, cafe_map)
    pause
    jump cafe_loop

label cafe_with_ayame:
    hide pnc
    show ayame normal at center
    aya "[ken.name] You've here!"
    ken "Of course I am. It's a date."
    aya "..."
    ken "What?"
    aya "We're just classmates."
    ken "Alright, sorry, Just tried to be funny."
    ken "should we go in?"
    aya "Sure."
    $ ayame_ppl.aff(25)
    hide ayame
    "And they lived happily ever after for few years before moving on."
    jump cafe_loop

label cafe_with_ayame_late:
    hide pnc
    show ayame normal at center
    aya "You're late."
    ken "I'm terribly sorry. Got caught in traffic."
    aya "You've terrible [ken.name]."
    $ ayame_ppl.aff(-5)
    ken "I know."
    ken "Should we go in?"
    aya "I have to go home now."
    ken "That sucks!"
    aya "your fault!"
    hide ayame
    "They married and hated each other to the day they died."
    jump cafe_loop


label cafe_cafe_shop:
    if calendar.time_of_day() in [0, 1]:
        ken "It's closed right now."
        ken "And I'm talking to myself."
    else:
        ken "Shall I go in alone?"
        ken "..."
    jump cafe_loop


