﻿


init python:
    class calendar_class:
        def __init__(self):
            self.hour = 0
            self.day = 0
            self.week = [_("Monday"), _("Tuesday"), _("Wednesday"), _("Thursday"), _("Friday"), _("Saturday"), _("Sunday")]
            self.period = [_("Midnight"), _("Morning"), _("Afternoon"), _("Evening")]

        def tick(self, n = 1):
            for i in range(n):
                self.hour += 1
                if self.hour > 23:
                    self.hour = 0
                    self.day += 1
            dates.check()

        def day_of_week(self, txt = False):
            d = self.day % 7
            if txt:
                return self.week[d]
            else:
                return d

        def time_of_day(self, txt = False):
            h = 0
            if 0 <= self.hour <= 5:
                h = 0
            if 6 <= self.hour <= 11:
                h = 1
            if 12 <= self.hour <= 17:
                h = 2
            if 18 <= self.hour <= 23:
                h = 3
            if txt:
                return self.period[h]
            else:
                return h

# ---------------------------- Dates

init python:
    class calendar_dates:
        def __init__(self):
            self.events = []
            self.passed = []
        def set(self,day, hour, location, name, label):
            d = calendar.day + day
            self.events.append([d, hour, location, name, label])

        def rem(self, n):
            for i in self.events:
                if i == name:
                    self.events.remove(i)
                    return True
            else:
                return False
        def check(self):
            for i in self.events:
                if i[0] == calendar.day:
                    if i[2] == destination:
                        if i[1] ==  calendar.hour:
                            renpy.jump(i[4])
                            self.events.remove(i)
                        elif i[1]+1 == calendar.hour:
                            renpy.jump(i[4]+"_late")
                            self.events.remove(i)
                
                if i[0] < calendar.day:
                    self.passed.append(i)
                    self.events.remove(i)
                elif i[0] == calendar.day and i[1]+2 < calendar.hour:
                    self.passed.append(i)
                    self.events.remove(i)

            else:
                return False

        def have(self, name):
            for i in self.events:
                if i[3] == name:
                    return True
            else:
                return False
        def missed(self, name):
            for i in self.passed:
                if i[3] == name:
                    return True
            else:
                return False
default dates = calendar_dates()

default calendar = calendar_class()

screen calendar_scr(c = calendar):
    zorder 1000
    frame:
        align 0.0,0.0 ypadding 0
        hbox:
            button:
                background None
                text _("Day [c.day] {} ({})   {}:00").format(c.day_of_week(True), c.time_of_day(True), c.hour)
                action ToggleScreen("calendar_skip")
            text "Cash: [player.cash]"
            button:
                text "Inventory"
                action ToggleScreen("inventory")

init python:
    config.overlay_screens.append("calendar_scr")

screen calendar_skip:
    default hours = 1
    default skipping = False
    frame:
        vbox:
            hbox:
                text _("SKip")
                button:
                    text "<"
                    action If(hours > 1, SetScreenVariable("hours", hours-1))
                text "[hours]"
                button:
                    text ">"
                    action SetScreenVariable("hours", hours+1)
                text _("hours.")
            hbox:
                button:
                    text _("Skip")
                    action SetScreenVariable("skipping", True)
                button:
                    text _("Fast skip")
                    action Function(calendar.tick, hours)
                button:
                    text _("Close")
                    action Hide("calendar_skip")
    if skipping:
        text _("Skipping...")
        timer .5 repeat True action Function(calendar.tick), If(hours > 0,  SetScreenVariable("hours", hours-1), SetScreenVariable("skipping", False))

screen skip(h, m):
    default hours = h
    modal True
    add "#0009"
    if h:
        vbox:
            text m
            text str(hours)
        timer .5 repeat True action If(hours > 0,  [SetScreenVariable("hours", hours-1), Function(calendar.tick)], [Hide("skip"), Return()])




