default classroom_door = pnco(
    "Rest",
    "bg/classroom/door.png",
    (1148, 451),
    [Hide("pnc"), Jump("classroom_exit")]
)

default classroom_aya = pnco(
    "Computer",
    "bg/classroom/aya.png",
    (282, 518),
    [Hide("pnc"), Jump("classroom_aya_talk")]
)

default classroom_map = pncs(
    "Classroom",
    [
        classroom_door,
        classroom_aya,
    ]
)
# An example of working with affection points, adding, removing and checking on the amount.
label school:
    show bg classroom with dissolve
    if calendar.time_of_day() in [1, 2]:
        $ classroom_map.add(classroom_aya)
        if dates.missed("cafe with Ayame this evening") and not ayame_ppl.has_flag("first angry after miss"):
            show ayame normal at center
            aya "You've stood me up!"
            $ ayame_ppl.aff(-25)
            ken "I'm sorry I've forgot"
            aya "Don't talk to me, I'm angry!"
            hide ayame
            $ ayame_ppl.flag("first angry after miss")
    else:
        $ classroom_map.rem(classroom_aya)

label school_loop:
    show screen pnc(player, classroom_map)
    pause
    jump school_loop

label classroom_exit:
    ken "Nope, The rest of this school is filled with zombies."
    jump school_loop

label classroom_aya_talk:
    show ayame normal at center
    if dates.missed("cafe with Ayame this evening"):
        aya "Don't talk to me, I'm angry!"
        hide ayame
        jump school_loop
    if not ayame_ppl.has_flag("first"):
        ken "Hi..."
        aya "Um... hi... [ken.name] right?"
        ken "You know my name?"
        aya "Well... Your friends are pretty noisy and call you all the time."
        ken "Ah, sorry about that..."
        aya "No! It's ok... Doesn't bother me at all."
        ken "..."
        aya "..."
        $ ayame_ppl.flag("first")
        $ ayame_ppl.aff(5) # You gain her affection by talking to her
    else:
        ken "Hi..."
        aya "Hi... [ken.name] kun."
        
    menu:
        "It's a nice day isn't it?":
            ken "It's a nice day isn't it?"
            aya "Yes, it is."
            ken "..."
            aya "..."
            ken "See you later then..."
            aya "Sure..."
            $ ayame_ppl.aff(100)
        "What are you doing after the class?" if ayame_ppl.affection > 30 and not dates.have("cafe with Ayame this evening"):
            ken "What are you doing after the class?"
            if ayame_ppl.affection < 50: # If you have less than 50 affection points with her
                aya "That's a bit forward [ken.name] kun."
                ken "Sorry..."
            else:
                aya "Nothing why?"
                ken "I'm going to the cafe, do you want to come?"
                aya "Sure."
                ken "Alright, we weill meet in front of the cafe this evening. Let's say 19:30?"
                aya "sounds good."
                # $ ayame_ppl.flag("cafe this evening") # No longer necessary
                $ dates.set(0, 20, "cafe", "cafe with Ayame this evening", "cafe_with_ayame") # Set up an event in 0 days, ar 20:00 O'clock at "cafe" location, make sure you're there on time
                $ town_map.add(map_cafe)
                $ ayame_ppl.aff(10)
        "I like your hair.":
            ken "I like your hair."
            aya "Thanks, "
            $ ayame_ppl.aff(10)
            ken "..."
            ken "See you later then..."
            aya "Sure..."
        "I love you...":
            ken "I love you."
            aya "huh?"
            ken "Right, give me my negative points and I'll be on my way."
            $ ayame_ppl.aff(-10)
    hide ayame with dissolve
    jump school_loop






