# Define some locations to show on the map
default map_home = pnco(
    "Home",                     # Name
    "dating_sim/PnC/map/home.png",         # Icon
    (440, 430),                 # Position
    [SetVariable("destination", "home"), Return()] # The actions triggered when clicked
)
default map_street = pnco(
    "Street",
    "dating_sim/PnC/map/street.png",
    (583, 537),
    [SetVariable("destination", "street"), Return()]
)

default map_school = pnco(
    "School",
    "dating_sim/PnC/map/school.png",
    (1190, 796),
    [SetVariable("destination", "school"), Return()]
)

default map_cafe = pnco(
    "Cafe",
    "dating_sim/PnC/map/cafe.png",
    (1465, 389),
    [SetVariable("destination", "cafe"), Return()]
)

# Now define a map and add some locations to it, we will add the cafe later in the script as an example
default town_map = pncs(
    "Town", # Name
    [
        map_home,
        map_street,
        map_school,
    ] # Available locations
)



image bg map = "dating_sim/PnC/map/map.jpg"
default origin = None
default destination = None
label map:
    window hide
    show bg map with dissolve
    show screen pnc(player, town_map, True)
    pause
    hide screen pnc
    if origin and destination == origin:
        $ renpy.jump(destination)
    else:
        $ origin = destination
        jump travel


label wait_for_map:
    show screen map_button
    pause
    jump wait_for_map

screen map_button:
    button:
        align 1.0,0.0
        text "Map"
        action Hide("map_button"), Jump("map") # Show("pnc", p = player, g = town_map)